Non-secret signing-key and sealer custody inventory
GET
/v1/console/keys
const url = 'https://example.com/v1/console/keys';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/console/keys \ --header 'Authorization: Bearer <token>'Returns the non-secret custody inventory of the signing keys and sealers resolved at boot. No key material is returned.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
keys
required
Array<object>
object
algorithm
string
created
RFC3339 creation timestamp; empty when unknown
string
custody_mode
string
fingerprint
Full SHA-256 hex for runtime signing keys; embedded license-key display fingerprint for license
string
kek
Non-secret KEK provider and key identifier
string
origin
Embedded license-key origin
string
present
boolean
prior_count
integer
public_key
Base64-encoded public verification key
string
purpose
required
string
source
string
Example
{ "keys": [ { "custody_mode": "minted", "purpose": "audit", "source": "env" } ]}Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example" }}